org.apache.hc.core5.http2.frame

## Enum FrameType

- java.lang.Object
- - java.lang.Enum<FrameType>
  - - org.apache.hc.core5.http2.frame.FrameType

- All Implemented Interfaces:
    Serializable, Comparable<FrameType>

      public enum FrameType
      extends Enum<FrameType>

  Standard HTTP/2 frame types.
  Since:
    5.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONTINUATION`
    `DATA`
    `GOAWAY`
    `HEADERS`
    `PING`
    `PRIORITY`
    `PUSH_PROMISE`
    `RST_STREAM`
    `SETTINGS`
    `WINDOW_UPDATE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `static String` | `toString(int value)`
    `static FrameType` | `valueOf(int value)`
    `static FrameType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FrameType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DATA

          public static final FrameType DATA

    - #### HEADERS

          public static final FrameType HEADERS

    - #### PRIORITY

          public static final FrameType PRIORITY

    - #### RST_STREAM

          public static final FrameType RST_STREAM

    - #### SETTINGS

          public static final FrameType SETTINGS

    - #### PUSH_PROMISE

          public static final FrameType PUSH_PROMISE

    - #### PING

          public static final FrameType PING

    - #### GOAWAY

          public static final FrameType GOAWAY

    - #### WINDOW_UPDATE

          public static final FrameType WINDOW_UPDATE

    - #### CONTINUATION

          public static final FrameType CONTINUATION

  - ### Method Detail

    - #### values

          public static FrameType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FrameType c : FrameType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FrameType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

    - #### valueOf

          public static FrameType valueOf(int value)

    - #### toString

          public static String toString(int value)

Copyright © 2005–2022 The Apache Software Foundation. All rights reserved.